//
// EmployeePayrollResponse.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct EmployeePayrollResponse: Codable {

    public var employeeId: Int?
    public var name: String?
    public var countryCode: String?
    public var currencyCode: String?
    public var weeklyRate: Double?

    public init(employeeId: Int? = nil, name: String? = nil, countryCode: String? = nil, currencyCode: String? = nil, weeklyRate: Double? = nil) {
        self.employeeId = employeeId
        self.name = name
        self.countryCode = countryCode
        self.currencyCode = currencyCode
        self.weeklyRate = weeklyRate
    }

    public enum CodingKeys: String, CodingKey { 
        case employeeId = "EmployeeId"
        case name = "Name"
        case countryCode = "CountryCode"
        case currencyCode = "CurrencyCode"
        case weeklyRate = "WeeklyRate"
    }

}
